Skip to main content
GET
/
api
/
activities
List activities
curl --request GET \
  --url https://api.morphic.io/api/activities/ \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject": "<string>",
      "description": "<string>",
      "priority": "<string>",
      "status": "<string>",
      "duration_minutes": 1,
      "due_date": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "outcome": "<string>",
      "entity_type": "<string>",
      "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_name": "<string>",
      "user_email": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "pages": 123
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Query Parameters

categories
string | null

Comma-separated list of category IDs

custom_fields
string | null

JSON string of custom field filters

basic_filters
string | null

JSON string of basic filters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:100
Required range: 1 <= x <= 1000
is_deleted
boolean | null
default:false
activity_type
string | null
status
string | null
priority
string | null
user_id
string<uuid> | null
contact_id
string<uuid> | null
company_id
string<uuid> | null
deal_id
string<uuid> | null
created_by
string<uuid> | null
due_date_from
string<date-time> | null
due_date_to
string<date-time> | null
search
string | null
exclude_completed
boolean | null
sort_by
string | null
sort_order
string | null

Response

Successful Response

items
Activity · object[]
required
total
integer
required
page
integer
required
page_size
integer
required
pages
integer
required